-- phpMyAdmin SQL Dump
-- version 4.1.6
-- http://www.phpmyadmin.net
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 21-05-2014 a las 20:06:09
-- Versión del servidor: 5.6.16
-- Versión de PHP: 5.5.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `practicaclic`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `administradorsistema`
--

CREATE TABLE IF NOT EXISTS `administradorsistema` (
  `email` varchar(75) NOT NULL,
  `contrasenya` varchar(20) DEFAULT NULL,
  `nom` varchar(30) DEFAULT NULL,
  `cognom1` varchar(30) DEFAULT NULL,
  `cognom2` varchar(30) DEFAULT NULL,
  `data_creacio` datetime DEFAULT NULL,
  `rol` varchar(10) NOT NULL,
  PRIMARY KEY (`email`),
  KEY `fk_ususari_rol1_idx` (`rol`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `alumne`
--

CREATE TABLE IF NOT EXISTS `alumne` (
  `email` varchar(75) NOT NULL,
  `escola` varchar(10) NOT NULL,
  `contrasenya` varchar(20) DEFAULT NULL,
  `nom` varchar(30) DEFAULT NULL,
  `cognom1` varchar(30) DEFAULT NULL,
  `cognom2` varchar(30) DEFAULT NULL,
  `data_creacio` datetime DEFAULT NULL,
  `rol` varchar(10) NOT NULL,
  `mestre_email` varchar(75) NOT NULL,
  PRIMARY KEY (`email`,`mestre_email`),
  KEY `fk_alumne_Escola1_idx` (`escola`),
  KEY `fk_alumne_rol1_idx` (`rol`),
  KEY `fk_alumne_mestre1_idx` (`mestre_email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `alumne`
--

INSERT INTO `alumne` (`email`, `escola`, `contrasenya`, `nom`, `cognom1`, `cognom2`, `data_creacio`, `rol`, `mestre_email`) VALUES
('Arnau', 'CODI', '1', 'Arnau', NULL, NULL, NULL, 'ALUMNE', 'email@inventat.com');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `assignatura`
--

CREATE TABLE IF NOT EXISTS `assignatura` (
  `assignatura` varchar(10) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`assignatura`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `assignatura`
--

INSERT INTO `assignatura` (`assignatura`, `nom`) VALUES
('MATES', 'Matemàtiques');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `escola`
--

CREATE TABLE IF NOT EXISTS `escola` (
  `escola` varchar(10) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`escola`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `escola`
--

INSERT INTO `escola` (`escola`, `nom`) VALUES
('CODI', 'Escola d''en josep');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estatexercici`
--

CREATE TABLE IF NOT EXISTS `estatexercici` (
  `estatExercici` varchar(10) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`estatExercici`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `estatexercici`
--

INSERT INTO `estatexercici` (`estatExercici`, `nom`) VALUES
('1', 'PENDENT'),
('2', 'FET');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estatsollicitud`
--

CREATE TABLE IF NOT EXISTS `estatsollicitud` (
  `estatSollicitud` int(11) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`estatSollicitud`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `estatsollicitud`
--

INSERT INTO `estatsollicitud` (`estatSollicitud`, `nom`) VALUES
(1, 'pendent');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `exercici`
--

CREATE TABLE IF NOT EXISTS `exercici` (
  `exercici` varchar(10) NOT NULL,
  `assignatura` varchar(10) NOT NULL,
  `pregunta` varchar(100) DEFAULT NULL,
  `descripcio` varchar(255) DEFAULT NULL,
  `tipus_exercici` varchar(10) DEFAULT NULL,
  `parametres` varchar(255) DEFAULT NULL,
  `solucio` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`exercici`),
  KEY `fk_exercici_assignatura1_idx` (`assignatura`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `exercici`
--

INSERT INTO `exercici` (`exercici`, `assignatura`, `pregunta`, `descripcio`, `tipus_exercici`, `parametres`, `solucio`) VALUES
('MAT1', 'MATES', 'Calcula la suma: 3 + 2', '', 'tTest', '5,6,9,1,2;', '5'),
('MAT10', 'MATES', 'Selecciona el nombre que va DARRERA del 0?', '', 'tTest', '1,2,6,5;0;', '1'),
('MAT100', 'MATES', 'Arrossega 8 dofins dins el requadre.', '', 'tCaixa', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin'),
('MAT11', 'MATES', 'Selecciona el nombre que va DARRERA del 1?', '', 'tTest', '1,2,6,5;0;', '2'),
('MAT12', 'MATES', 'Selecciona el nombre que va DARRERA del 2?', '', 'tTest', '2,3,4,5;0;', '3'),
('MAT13', 'MATES', 'Selecciona el nombre que va DARRERA del 3?', '', 'tTest', '1,2,4,5;0;', '4'),
('MAT14', 'MATES', 'Selecciona el nombre que va DARRERA del 4?', '', 'tTest', '7,4,6,5;0;', '5'),
('MAT15', 'MATES', 'Selecciona el nombre que va DARRERA del 5?', '', 'tTest', '4,5,6,7,8,9;', '6'),
('MAT16', 'MATES', 'Selecciona el nombre que va DARRERA del 6?', '', 'tTest', '6,5,7,3,9;', '7'),
('MAT17', 'MATES', 'Selecciona el nombre que va DARRERA del 7?', '', 'tTest', '4,8,7,3,9;', '8'),
('MAT18', 'MATES', 'Selecciona el nombre que va DARRERA del 8?', '', 'tTest', '7,5,8,9,3;', '9'),
('MAT19', 'MATES', 'Selecciona el nombre que va DAVANT del 1?', '', 'tTest', '9,8,6,4,1,0;', '0'),
('MAT2', 'MATES', 'Calcula la suma: 1 + 2', '', 'tTest', '1,4,3,6,8,7,2;', '3'),
('MAT20', 'MATES', 'Selecciona el nombre que va DAVANT del 2?', '', 'tTest', '1,6,3,9,0;', '1'),
('MAT21', 'MATES', 'Selecciona el nombre que va DAVANT del 3?', '', 'tTest', '4,5,6,1,2,3;', '2'),
('MAT22', 'MATES', 'Selecciona el nombre que va DAVANT del 4?', '', 'tTest', '9,1,7,3,6;', '3'),
('MAT23', 'MATES', 'Selecciona el nombre que va DAVANT del 5?', '', 'tTest', '9,2,7,4,2;', '4'),
('MAT24', 'MATES', 'Selecciona el nombre que va DAVANT del 6?', '', 'tTest', '8,4,6,9,5;', '5'),
('MAT25', 'MATES', 'Selecciona el nombre que va DAVANT del 7?', '', 'tTest', '1,2,3,5,6,7;', '6'),
('MAT26', 'MATES', 'Selecciona el nombre que va DAVANT del 8?', '', 'tTest', '9,8,5,3,1,7;', '7'),
('MAT27', 'MATES', 'Selecciona el nombre que va DAVANT del 9?', '', 'tTest', '1,4,6,8,9,5,3;', '8'),
('MAT28', 'MATES', 'Selecciona els nombres més grans que 0.', '', 'tTest', '0,1,2,3,4,5,6;', '1,2,3,4,5,6'),
('MAT29', 'MATES', 'Selecciona els nombres més grans que 1.', '', 'tTest', '9,7,3,2,1,8;', '9,7,3,2,8'),
('MAT3', 'MATES', 'Calcula la suma: 2 + 2', '', 'tTest', '3,7,4,2,6;', '4'),
('MAT30', 'MATES', 'Selecciona els nombres més grans que 2.', '', 'tTest', '0,2,6,1,7,9;', '6,7,9'),
('MAT31', 'MATES', 'Selecciona els nombres més grans que 3.', '', 'tTest', '3,8,1,7,2,9;', '8,7,9'),
('MAT32', 'MATES', 'Selecciona els nombres més grans que 4.', '', 'tTest', '9,6,3,1,0;1;', '9,6'),
('MAT33', 'MATES', 'Selecciona els nombres més grans que 5.', '', 'tTest', '4,6,3,7,2,8;', '6,7,8'),
('MAT34', 'MATES', 'Selecciona els nombres més grans que 6.', '', 'tTest', '9,8,7,6,5,4,3;1;', '9,8,7'),
('MAT35', 'MATES', 'Selecciona els nombres més grans que 7.', '', 'tTest', '8,9,6,5,3,2;1;', '9,8'),
('MAT36', 'MATES', 'Selecciona els nombres més grans que 8.', '', 'tTest', '9,0,4,7,2;1;', '9'),
('MAT37', 'MATES', 'Quins grups tenen 1 animals?', '', 'tTarja', 'bear_1,bug_4,chicken_1,cat_8,dog_4,panda_2', 'bear_1,chicken_1'),
('MAT38', 'MATES', 'Quins grups tenen 2 animals?', '', 'tTarja', 'duck_3,elephant_2,dolphin_7,panda_3,turtle_4,panda_1', 'elephant_2'),
('MAT39', 'MATES', 'Quins grups tenen 3 animals?', '', 'tTarja', 'dolphin_4,elephant_9,pig_3,bug_8,cat_8,bear_3', 'pig_3,bear_3'),
('MAT4', 'MATES', 'Calcula la suma: 4 + 2', '', 'tTest', '9,7,6,4,2,1;', '6'),
('MAT40', 'MATES', 'Quins grups tenen 4 animals?', '', 'tTarja', 'chicken_2,duck_4,panda_7,bear_4,chicken_2', 'duck_4,bear_4'),
('MAT41', 'MATES', 'Quins grups tenen 5 animals?', '', 'tTarja', 'goose_5,elephant_3,penguine_8,penguine_1,bear_9', 'goose_5'),
('MAT42', 'MATES', 'Quins grups tenen 6 animals?', '', 'tTarja', 'rabbit_3,pig_7,turtle_6,penguine_1,pig_6,goose_6', 'turtle_6,pig_6,goose_6'),
('MAT43', 'MATES', 'Quins grups tenen 7 animals?', '', 'tTarja', 'panda_8,pig_1,rabbit_7,rabbit_4,panda_7,goose_7', 'rabbit_7,panda_7,goose_7'),
('MAT44', 'MATES', 'Quins grups tenen 8 animals?', '', 'tTarja', 'cat_8,bear_7,chicken_8,chicken_1,cat_3,bug_6', 'cat_8,chicken_8'),
('MAT45', 'MATES', 'Quins grups tenen 9 animals?', '', 'tTarja', 'dog_1,goose_7,dolphin_9,duck_8,panda_7,turtle_8', 'dolphin_9'),
('MAT46', 'MATES', 'Quins grups tenen 0 animals?', '', 'tTarja', 'bear_1,dog_2,dolphin_1,duck_2,0,pig_1', '0'),
('MAT47', 'MATES', 'Quins grups tenen 1 animals?', '', 'tTarja', 'bear_1,bear_5,bug_6,cat_7,chicken_3,dolphin_1', 'bear_1,dolphin_1'),
('MAT48', 'MATES', 'Quins grups tenen 2 animals?', '', 'tTarja', 'cat_3,dolphin_2,goose_3,penguine_2,panda_4', 'dolphin_2,penguine_2'),
('MAT49', 'MATES', 'Quins grups tenen 3 animals?', '', 'tTarja', 'duck_6,turtle_3,goose_3,pig_3,rabbit_7,pig_6', 'turtle_3,goose_3,pig_3'),
('MAT5', 'MATES', 'Calcula la suma: 1 + 2', '', 'tTest', '2,7,3,5;', '3'),
('MAT50', 'MATES', 'Quins grups tenen 4 animals?', '', 'tTarja', 'penguine_2,pig_2,rabbit_7,turtle_2,rabbit_4,panda_9', 'rabbit_4'),
('MAT51', 'MATES', 'Quins grups tenen 5 animals?', '', 'tTarja', 'panda_5,pig_1,penguine_8,goose_8,elephant_8', 'panda_5'),
('MAT52', 'MATES', 'Quins grups tenen 6 animals?', '', 'tTarja', 'goose_5,goose_9,penguine_8,rabbit_6,panda_4,turtle_6', 'rabbit_6,turtle_6'),
('MAT53', 'MATES', 'Quins grups tenen 7 animals?', '', 'tTarja', 'elephant_8,elephant_9,elephant_7,pig_6,pig_7,turtle_5', 'elephant_7,pig_7'),
('MAT54', 'MATES', 'Quins grups tenen 8 animals?', '', 'tTarja', 'panda_9,goose_7,pig_8,rabbit_6,panda_2,duck_4', 'pig_8'),
('MAT55', 'MATES', 'Quins grups tenen 9 animals?', '', 'tTarja', 'elephant_1,panda_3,duck_9,pig_4,pig_6,rabbit_7', 'duck_9'),
('MAT56', 'MATES', 'Quins grups tenen 0 animals?', '', 'tTarja', 'elephant_1,panda_3,0,pig_4,pig_6,rabbit_7', '0'),
('MAT57', 'MATES', 'Quins grups tenen 1 animals?', '', 'tTarja', 'chicken_4,dolphin_2,dolphin_6,dolphin_2,cat_1', 'cat_1'),
('MAT58', 'MATES', 'Quins grups tenen 2 animals?', '', 'tTarja', 'duck_4,elephant_3,dog_2,bug_4,bear_8,bear_2', 'dog_2,bear_2'),
('MAT59', 'MATES', 'Quins grups tenen 3 animals?', '', 'tTarja', 'dolphin_4,elephant_9,elephant_2,bug_8,cat_8,bear_3', 'bear_3'),
('MAT6', 'MATES', 'Calcula la suma: 1 + 4', '', 'tTest', '9,1,8,2,7,5;', '5'),
('MAT60', 'MATES', 'Quins grups tenen 4 animals?', '', 'tTarja', 'dog_1,dog_2,dog_3,dog_4,dog_5,dog_6', 'dog_4'),
('MAT61', 'MATES', 'Quins grups tenen 5 animals?', '', 'tTarja', 'duck_1,duck_2,duck_3,duck_4,duck_5,duck_6', 'duck_5'),
('MAT62', 'MATES', 'Quins grups tenen 6 animals?', '', 'tTarja', 'chicken_9,chicken_8,chicken_7,chicken_9,chicken_6,chicken_5', 'chicken_6'),
('MAT63', 'MATES', 'Quins grups tenen 7 animals?', '', 'tTarja', 'elephant_5,elephant_6,elephant_7,elephant_8,elephant_9,elephant_0', 'elephant_7'),
('MAT64', 'MATES', 'Quins grups tenen 8 animals?', '', 'tTarja', 'turtle_8,turtle_7,turtle_6,turtle_5,turtle_4,turtle_2,goose_5', 'turtle_8'),
('MAT65', 'MATES', 'Quins grups tenen 9 animals?', '', 'tTarja', 'penguine_6,goose_1,elephant_8,duck_6,rabbit_6,penguine_9', 'penguine_9'),
('MAT66', 'MATES', 'Quins grups tenen 0 animals?', '', 'tTarja', 'cat_1,dolphin_7,duck_9,elephant_3,0,turtle_2', '0'),
('MAT67', 'MATES', 'Arrossega 1 porquet dins el requadre.', '', 'tCaixa', 'pig,pig,pig,pig,pig,pig', 'pig'),
('MAT68', 'MATES', 'Arrossega 2 porquets dins el requadre.', '', 'tCaixa', 'pig,pig,pig,pig,pig,pig', 'pig,pig'),
('MAT69', 'MATES', 'Arrossega 3 porquets dins el requadre.', '', 'tCaixa', 'pig,pig,pig,pig,pig,pig', 'pig,pig,pig'),
('MAT7', 'MATES', 'Calcula la suma: 2 + 6', '', 'tTest', '8,5,2,0,1;', '8'),
('MAT70', 'MATES', 'Arrossega 4 porquets dins el requadre.', '', 'tCaixa', 'pig,pig,pig,pig,pig,pig', 'pig,pig,pig,pig'),
('MAT71', 'MATES', 'Arrossega 5 porquets dins el requadre.', '', 'tCaixa', 'pig,pig,pig,pig,pig,pig', 'pig,pig,pig,pig,pig'),
('MAT72', 'MATES', 'Arrossega 6 pingüins dins el requadre.', '', 'tCaixa', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine;', 'penguine,penguine,penguine,penguine,penguine,penguine'),
('MAT73', 'MATES', 'Arrossega 7 pingüins dins el requadre.', '', 'tCaixa', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine;', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine'),
('MAT74', 'MATES', 'Arrossega 8 pingüins dins el requadre.', '', 'tCaixa', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine;', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine'),
('MAT75', 'MATES', 'Arrossega 9 pingüins dins el requadre.', '', 'tCaixa', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine;', 'penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine,penguine'),
('MAT76', 'MATES', 'Arrossega 1 gat dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat'),
('MAT77', 'MATES', 'Arrossega 2 gats dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat,cat'),
('MAT78', 'MATES', 'Arrossega 3 gats dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat,cat,cat'),
('MAT79', 'MATES', 'Arrossega 4 gats dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat,cat,cat,cat'),
('MAT8', 'MATES', 'Calcula la suma: 4 + 2', '', 'tTest', '9,8,7,6,5,4;', '6'),
('MAT80', 'MATES', 'Arrossega 5 gats dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat,cat,cat,cat,cat'),
('MAT81', 'MATES', 'Arrossega 6 gats dins el requadre.', '', 'tCaixa', 'cat,cat,cat,cat,cat,cat,cat,cat', 'cat,cat,cat,cat,cat,cat'),
('MAT82', 'MATES', 'Arrossega 1 conill dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit'),
('MAT83', 'MATES', 'Arrossega 2 conills dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit,rabbit'),
('MAT84', 'MATES', 'Arrossega 3 conills dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit,rabbit,rabbit'),
('MAT85', 'MATES', 'Arrossega 4 conills dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit,rabbit,rabbit,rabbit'),
('MAT86', 'MATES', 'Arrossega 5 conills dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit,rabbit,rabbit,rabbit,rabbit'),
('MAT87', 'MATES', 'Arrossega 6 conills dins el requadre.', '', 'tCaixa', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit,rabbit', 'rabbit,rabbit,rabbit,rabbit,rabbit,rabbit'),
('MAT88', 'MATES', 'Arrossega 2 tortugues dins el requadre.', '', 'tCaixa', 'turtle,turtle,turtle,turtle,turtle,turtle,turtle,turtle', 'turtle,turtle'),
('MAT89', 'MATES', 'Arrossega 3 tortugues dins el requadre.', '', 'tCaixa', 'turtle,turtle,turtle,turtle,turtle,turtle,turtle,turtle', 'turtle,turtle,turtle'),
('MAT9', 'MATES', 'Calcula la suma: 1 + 7', '', 'tTest', '6,7,8,9;', '8'),
('MAT90', 'MATES', 'Arrossega 4 tortugues dins el requadre.', '', 'tCaixa', 'turtle,turtle,turtle,turtle,turtle,turtle,turtle,turtle', 'turtle,turtle,turtle,turtle'),
('MAT91', 'MATES', 'Arrossega 5 tortugues dins el requadre.', '', 'tCaixa', 'turtle,turtle,turtle,turtle,turtle,turtle,turtle,turtle', 'turtle,turtle,turtle,turtle,turtle'),
('MAT92', 'MATES', 'Arrossega 6 tortugues dins el requadre.', '', 'tCaixa', 'turtle,turtle,turtle,turtle,turtle,turtle,turtle,turtle', 'turtle,turtle,turtle,turtle,turtle,turtle'),
('MAT93', 'MATES', 'Arrossega 1 ànecs dins el requadre.', '', 'tCaixa', 'duck,duck,duck,duck,duck,duck', 'duck'),
('MAT94', 'MATES', 'Arrossega 2 ànecs dins el requadre.', '', 'tCaixa', 'duck,duck,duck,duck,duck,duck', 'duck,duck'),
('MAT95', 'MATES', 'Arrossega 3 elefants dins el requadre.', '', 'tCaixa', 'elephant,elephant,elephant,elephant,elephant,elephant', 'elephant,elephant,elephant'),
('MAT96', 'MATES', 'Arrossega 4 elefants dins el requadre.', '', 'tCaixa', 'elephant,elephant,elephant,elephant,elephant,elephant', 'elephant,elephant,elephant,elephant'),
('MAT97', 'MATES', 'Arrossega 5 elefants dins el requadre.', '', 'tCaixa', 'elephant,elephant,elephant,elephant,elephant,elephant', 'elephant,elephant,elephant,elephant,elephant'),
('MAT98', 'MATES', 'Arrossega 6 dofins dins el requadre.', '', 'tCaixa', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin'),
('MAT99', 'MATES', 'Arrossega 7 dofins dins el requadre.', '', 'tCaixa', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin', 'dolphin,dolphin,dolphin,dolphin,dolphin,dolphin,dolphin');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `exercicisassignats`
--

CREATE TABLE IF NOT EXISTS `exercicisassignats` (
  `exercici` varchar(10) NOT NULL,
  `alumne_email` varchar(75) NOT NULL,
  `mestre_email` varchar(75) NOT NULL,
  `data_assignacio` datetime NOT NULL,
  `nota` decimal(4,0) DEFAULT NULL,
  `data_realitzacio` datetime DEFAULT NULL,
  `estatExercici` varchar(10) NOT NULL,
  PRIMARY KEY (`exercici`,`alumne_email`,`mestre_email`,`data_assignacio`),
  KEY `fk_ExercicisAssignats_estatExercici1_idx` (`estatExercici`),
  KEY `fk_ExercicisAssignats_alumne1_idx` (`alumne_email`),
  KEY `fk_ExercicisAssignats_mestre1_idx` (`mestre_email`),
  KEY `fk_ExercicisAssignats_exercici1_idx` (`exercici`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `exercicisassignats`
--

INSERT INTO `exercicisassignats` (`exercici`, `alumne_email`, `mestre_email`, `data_assignacio`, `nota`, `data_realitzacio`, `estatExercici`) VALUES
('MAT1', 'Arnau', 'email@inventat.com', '2014-05-19 18:14:17', '0', '2014-05-19 23:10:38', '2'),
('MAT1', 'Arnau', 'email@inventat.com', '2014-05-19 18:56:34', '0', '2014-05-19 23:10:39', '2'),
('MAT1', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:58', '0', '2014-05-19 23:10:42', '2'),
('MAT1', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:31', '0', '2014-05-19 23:10:56', '2'),
('MAT10', 'Arnau', 'email@inventat.com', '2014-05-19 18:14:17', '0', '2014-05-19 23:10:39', '2'),
('MAT10', 'Arnau', 'email@inventat.com', '2014-05-19 18:56:34', '0', '2014-05-19 23:10:41', '2'),
('MAT10', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:58', '0', '2014-05-19 23:10:43', '2'),
('MAT10', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:31', '0', '2014-05-19 23:10:57', '2'),
('MAT100', 'Arnau', 'email@inventat.com', '2014-05-19 18:56:34', '0', '2014-05-19 23:10:41', '2'),
('MAT100', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:58', '0', '2014-05-19 23:10:44', '2'),
('MAT100', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:31', '0', '2014-05-19 23:10:58', '2'),
('MAT11', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:46', '2'),
('MAT11', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:47', '2'),
('MAT12', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:46', '2'),
('MAT12', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:48', '2'),
('MAT13', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:47', '2'),
('MAT13', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:48', '2'),
('MAT14', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:47', '2'),
('MAT14', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:49', '2'),
('MAT15', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:48', '2'),
('MAT15', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:49', '2'),
('MAT16', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:49', '2'),
('MAT16', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:50', '2'),
('MAT17', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:49', '2'),
('MAT17', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:50', '2'),
('MAT18', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:49', '2'),
('MAT18', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:50', '2'),
('MAT19', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:50', '2'),
('MAT19', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:50', '2'),
('MAT2', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:51', '2'),
('MAT2', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:51', '2'),
('MAT20', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:53', '2'),
('MAT20', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:51', '2'),
('MAT21', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:53', '2'),
('MAT21', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:51', '2'),
('MAT22', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:54', '2'),
('MAT22', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:52', '2'),
('MAT23', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:54', '2'),
('MAT23', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:52', '2'),
('MAT24', 'Arnau', 'email@inventat.com', '2014-05-19 20:49:59', '0', '2014-05-19 23:10:55', '2'),
('MAT24', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:52', '2'),
('MAT25', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:52', '2'),
('MAT26', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:52', '2'),
('MAT27', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:53', '2'),
('MAT28', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:53', '2'),
('MAT29', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:53', '2'),
('MAT3', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:53', '2'),
('MAT30', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:53', '2'),
('MAT31', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:38:54', '2'),
('MAT32', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '6', '2014-05-20 16:38:54', '2'),
('MAT33', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-20 16:37:35', '2'),
('MAT34', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '9', '2014-05-20 16:37:34', '2'),
('MAT35', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '7', '2014-05-20 16:36:25', '2'),
('MAT36', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '8', '2014-05-19 23:11:07', '2'),
('MAT37', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '7', '2014-05-19 23:11:03', '2'),
('MAT38', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '8', '2014-05-19 23:11:03', '2'),
('MAT39', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '7', '2014-05-19 23:11:02', '2'),
('MAT4', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '0', '2014-05-19 23:11:02', '2'),
('MAT40', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '6', '2014-05-19 23:11:01', '2'),
('MAT41', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '8', '2014-05-19 23:11:00', '2'),
('MAT42', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '5', '2014-05-19 23:11:00', '2'),
('MAT43', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '5', '2014-05-19 23:10:59', '2'),
('MAT44', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:32', '7', '2014-05-19 23:10:59', '2'),
('MAT45', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-20 16:40:37', '2'),
('MAT46', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-20 16:40:37', '2'),
('MAT47', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '7', '2014-05-20 16:40:42', '2'),
('MAT48', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '6', '2014-05-20 16:41:14', '2'),
('MAT49', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '5', '2014-05-19 23:09:58', '1'),
('MAT5', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:09:58', '1'),
('MAT50', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:09:59', '1'),
('MAT51', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:00', '1'),
('MAT52', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '7', '2014-05-19 23:10:00', '1'),
('MAT53', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '7', '2014-05-19 23:10:01', '1'),
('MAT54', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:01', '1'),
('MAT55', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:02', '1'),
('MAT56', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:02', '1'),
('MAT57', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:03', '1'),
('MAT58', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '7', '2014-05-19 23:10:03', '1'),
('MAT59', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:04', '1'),
('MAT6', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:10:05', '1'),
('MAT60', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:06', '1'),
('MAT61', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:06', '1'),
('MAT62', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:07', '1'),
('MAT63', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:08', '1'),
('MAT64', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '9', '2014-05-19 23:10:09', '1'),
('MAT65', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:10', '1'),
('MAT66', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '8', '2014-05-19 23:10:10', '1'),
('MAT67', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:10:12', '1'),
('MAT68', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:10:13', '1'),
('MAT69', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:10:13', '1'),
('MAT7', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-19 23:10:14', '1'),
('MAT70', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:40:36', '2'),
('MAT71', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:40:36', '2'),
('MAT72', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:40:35', '2'),
('MAT73', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:40:35', '2'),
('MAT74', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:40:34', '2'),
('MAT75', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '6', '2014-05-20 16:40:34', '2'),
('MAT76', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:50', '2'),
('MAT77', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:50', '2'),
('MAT78', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:49', '2'),
('MAT79', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:49', '2'),
('MAT8', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:48', '2'),
('MAT80', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:47', '2'),
('MAT81', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:46', '2'),
('MAT82', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:46', '2'),
('MAT83', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:45', '2'),
('MAT84', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:45', '2'),
('MAT85', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:44', '2'),
('MAT86', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:39:44', '2'),
('MAT87', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '3', '2014-05-20 16:39:43', '2'),
('MAT88', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:33', '0', '2014-05-20 16:38:54', '2'),
('MAT89', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:15', '1'),
('MAT9', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:16', '1'),
('MAT90', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:17', '1'),
('MAT91', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:17', '1'),
('MAT92', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:18', '1'),
('MAT93', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:18', '1'),
('MAT94', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:19', '1'),
('MAT95', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:19', '1'),
('MAT96', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:20', '1'),
('MAT97', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:20', '1'),
('MAT98', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:22', '1'),
('MAT99', 'Arnau', 'email@inventat.com', '2014-05-19 21:07:34', '0', '2014-05-19 23:10:22', '1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grupexercicis`
--

CREATE TABLE IF NOT EXISTS `grupexercicis` (
  `grupExercicis` varchar(10) NOT NULL,
  `nom` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`grupExercicis`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `grupexercicis`
--

INSERT INTO `grupexercicis` (`grupExercicis`, `nom`) VALUES
('GMAT1', 'Volum 1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grupexercicisassig`
--

CREATE TABLE IF NOT EXISTS `grupexercicisassig` (
  `grupExercicis` varchar(10) NOT NULL,
  `exercici` varchar(10) NOT NULL,
  PRIMARY KEY (`grupExercicis`,`exercici`),
  KEY `fk_grupExercicisAssig_grupExercicis1_idx` (`grupExercicis`),
  KEY `fk_grupExercicisAssig_exercici1_idx` (`exercici`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `grupexercicisassig`
--

INSERT INTO `grupexercicisassig` (`grupExercicis`, `exercici`) VALUES
('GMAT1', 'MAT1'),
('GMAT1', 'MAT10'),
('GMAT1', 'MAT100'),
('GMAT1', 'MAT11'),
('GMAT1', 'MAT12'),
('GMAT1', 'MAT13'),
('GMAT1', 'MAT14'),
('GMAT1', 'MAT15'),
('GMAT1', 'MAT16'),
('GMAT1', 'MAT17'),
('GMAT1', 'MAT18'),
('GMAT1', 'MAT19'),
('GMAT1', 'MAT2'),
('GMAT1', 'MAT20'),
('GMAT1', 'MAT21'),
('GMAT1', 'MAT22'),
('GMAT1', 'MAT23'),
('GMAT1', 'MAT24'),
('GMAT1', 'MAT25'),
('GMAT1', 'MAT26'),
('GMAT1', 'MAT27'),
('GMAT1', 'MAT28'),
('GMAT1', 'MAT29'),
('GMAT1', 'MAT3'),
('GMAT1', 'MAT30'),
('GMAT1', 'MAT31'),
('GMAT1', 'MAT32'),
('GMAT1', 'MAT33'),
('GMAT1', 'MAT34'),
('GMAT1', 'MAT35'),
('GMAT1', 'MAT36'),
('GMAT1', 'MAT37'),
('GMAT1', 'MAT38'),
('GMAT1', 'MAT39'),
('GMAT1', 'MAT4'),
('GMAT1', 'MAT40'),
('GMAT1', 'MAT41'),
('GMAT1', 'MAT42'),
('GMAT1', 'MAT43'),
('GMAT1', 'MAT44'),
('GMAT1', 'MAT45'),
('GMAT1', 'MAT46'),
('GMAT1', 'MAT47'),
('GMAT1', 'MAT48'),
('GMAT1', 'MAT49'),
('GMAT1', 'MAT5'),
('GMAT1', 'MAT50'),
('GMAT1', 'MAT51'),
('GMAT1', 'MAT52'),
('GMAT1', 'MAT53'),
('GMAT1', 'MAT54'),
('GMAT1', 'MAT55'),
('GMAT1', 'MAT56'),
('GMAT1', 'MAT57'),
('GMAT1', 'MAT58'),
('GMAT1', 'MAT59'),
('GMAT1', 'MAT6'),
('GMAT1', 'MAT60'),
('GMAT1', 'MAT61'),
('GMAT1', 'MAT62'),
('GMAT1', 'MAT63'),
('GMAT1', 'MAT64'),
('GMAT1', 'MAT65'),
('GMAT1', 'MAT66'),
('GMAT1', 'MAT67'),
('GMAT1', 'MAT68'),
('GMAT1', 'MAT69'),
('GMAT1', 'MAT7'),
('GMAT1', 'MAT70'),
('GMAT1', 'MAT71'),
('GMAT1', 'MAT72'),
('GMAT1', 'MAT73'),
('GMAT1', 'MAT74'),
('GMAT1', 'MAT75'),
('GMAT1', 'MAT76'),
('GMAT1', 'MAT77'),
('GMAT1', 'MAT78'),
('GMAT1', 'MAT79'),
('GMAT1', 'MAT8'),
('GMAT1', 'MAT80'),
('GMAT1', 'MAT81'),
('GMAT1', 'MAT82'),
('GMAT1', 'MAT83'),
('GMAT1', 'MAT84'),
('GMAT1', 'MAT85'),
('GMAT1', 'MAT86'),
('GMAT1', 'MAT87'),
('GMAT1', 'MAT88'),
('GMAT1', 'MAT89'),
('GMAT1', 'MAT9'),
('GMAT1', 'MAT90'),
('GMAT1', 'MAT91'),
('GMAT1', 'MAT92'),
('GMAT1', 'MAT93'),
('GMAT1', 'MAT94'),
('GMAT1', 'MAT95'),
('GMAT1', 'MAT96'),
('GMAT1', 'MAT97'),
('GMAT1', 'MAT98'),
('GMAT1', 'MAT99');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grupprogrames`
--

CREATE TABLE IF NOT EXISTS `grupprogrames` (
  `grupProgrames` varchar(10) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`grupProgrames`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `grupprogrames`
--

INSERT INTO `grupprogrames` (`grupProgrames`, `nom`) VALUES
('GADMIN', 'Grup programes administrador'),
('GALUMNE', 'Grup de programes de l''alumne'),
('GMESTRE', 'Grup programes mestre');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mestre`
--

CREATE TABLE IF NOT EXISTS `mestre` (
  `email` varchar(75) NOT NULL,
  `contrasenya` varchar(20) DEFAULT NULL COMMENT 'Contrasenya del usuari mestre.',
  `nom` varchar(30) CHARACTER SET latin1 COLLATE latin1_bin DEFAULT NULL,
  `cognom1` varchar(30) DEFAULT NULL,
  `cognom2` varchar(30) DEFAULT NULL,
  `data_creacio` datetime DEFAULT NULL,
  `escola` varchar(10) NOT NULL,
  `rol` varchar(10) NOT NULL,
  PRIMARY KEY (`email`),
  KEY `fk_mestre_rol1_idx` (`rol`),
  KEY `fk_mestre_Escola1_idx` (`escola`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `mestre`
--

INSERT INTO `mestre` (`email`, `contrasenya`, `nom`, `cognom1`, `cognom2`, `data_creacio`, `escola`, `rol`) VALUES
('email@inventat.com', '1', 'Josep', 'Rey', 'Vila', '2014-05-19 00:00:00', 'CODI', 'MESTRE');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mestre_te_assignatura`
--

CREATE TABLE IF NOT EXISTS `mestre_te_assignatura` (
  `mestre_email` varchar(75) NOT NULL,
  `assignatura` varchar(10) NOT NULL,
  PRIMARY KEY (`mestre_email`,`assignatura`),
  KEY `fk_mestre_has_assignatura_assignatura2_idx` (`assignatura`),
  KEY `fk_mestre_has_assignatura_mestre2_idx` (`mestre_email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `peticioregistreescola`
--

CREATE TABLE IF NOT EXISTS `peticioregistreescola` (
  `peticioRegistreEscola` int(11) NOT NULL AUTO_INCREMENT,
  `NomEscola` varchar(50) DEFAULT NULL,
  `emailUsuariAdministrador` varchar(75) DEFAULT NULL,
  `NomUsuariAdminsistrador` varchar(45) DEFAULT NULL,
  `cognom1` varchar(45) DEFAULT NULL,
  `cognom2` varchar(45) DEFAULT NULL,
  `data_creacio` varchar(45) DEFAULT NULL,
  `estatSollicitud` int(11) NOT NULL,
  PRIMARY KEY (`peticioRegistreEscola`),
  KEY `fk_peticioRegistreEscola_estatsSollicitud1_idx` (`estatSollicitud`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `programa`
--

CREATE TABLE IF NOT EXISTS `programa` (
  `programa` varchar(10) NOT NULL,
  `nom` varchar(150) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`programa`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `programa`
--

INSERT INTO `programa` (`programa`, `nom`, `url`) VALUES
('ADM_ASSIG', 'Gestió Assignatura.', 'frmAssignatura.php'),
('ADM_ESC', 'Gestió escola.', 'frmEscola.php'),
('FER_EXE', 'Realització d''exercicis.', '../gestio_exercicis/index.php'),
('MES_ALU', 'Assignar-se alumne', 'frmMestreAssociaAlumne.php'),
('MES_EST', 'Estadistiques exercicis.', 'frmEstadistica.php'),
('MES_FEI', 'Assignar feina als alumnes', 'frmAssignarFeina.php'),
('PASSWORD', 'Substitució de contrasenya.', 'frmCanviContrasenya.php');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `programes_grupprogrames`
--

CREATE TABLE IF NOT EXISTS `programes_grupprogrames` (
  `programa` varchar(10) NOT NULL,
  `grupProgrames` varchar(10) NOT NULL,
  PRIMARY KEY (`programa`,`grupProgrames`),
  KEY `fk_programes_grupProgrames_programa1_idx` (`programa`),
  KEY `fk_programes_grupProgrames_grupProgrames1_idx` (`grupProgrames`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `programes_grupprogrames`
--

INSERT INTO `programes_grupprogrames` (`programa`, `grupProgrames`) VALUES
('ADM_ASSIG', 'GADMIN'),
('ADM_ESC', 'GADMIN'),
('FER_EXE', 'GALUMNE'),
('MES_ALU', 'GMESTRE'),
('MES_EST', 'GMESTRE'),
('MES_FEI', 'GMESTRE'),
('PASSWORD', 'GALUMNE'),
('PASSWORD', 'GMESTRE');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rol`
--

CREATE TABLE IF NOT EXISTS `rol` (
  `rol` varchar(10) NOT NULL,
  `nom` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`rol`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `rol`
--

INSERT INTO `rol` (`rol`, `nom`) VALUES
('ADMIN', 'ADMINISTRADOR'),
('ALUMNE', 'ALUMNE'),
('MESTRE', 'MESTRE');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rol_grupprogrames`
--

CREATE TABLE IF NOT EXISTS `rol_grupprogrames` (
  `rol` varchar(10) NOT NULL,
  `grupProgrames` varchar(10) NOT NULL,
  PRIMARY KEY (`rol`,`grupProgrames`),
  KEY `fk_rol_grupProgrames_rol1_idx` (`rol`),
  KEY `fk_rol_grupProgrames_grupProgrames1_idx` (`grupProgrames`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `rol_grupprogrames`
--

INSERT INTO `rol_grupprogrames` (`rol`, `grupProgrames`) VALUES
('ADMIN', 'GADMIN'),
('ADMIN', 'GALUMNE'),
('ADMIN', 'GMESTRE'),
('ALUMNE', 'GALUMNE'),
('MESTRE', 'GMESTRE');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `administradorsistema`
--
ALTER TABLE `administradorsistema`
  ADD CONSTRAINT `fk_ususari_rol1` FOREIGN KEY (`rol`) REFERENCES `rol` (`rol`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `alumne`
--
ALTER TABLE `alumne`
  ADD CONSTRAINT `fk_alumne_Escola1` FOREIGN KEY (`escola`) REFERENCES `escola` (`escola`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_alumne_mestre1` FOREIGN KEY (`mestre_email`) REFERENCES `mestre` (`email`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_alumne_rol1` FOREIGN KEY (`rol`) REFERENCES `rol` (`rol`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `exercici`
--
ALTER TABLE `exercici`
  ADD CONSTRAINT `fk_exercici_assignatura1` FOREIGN KEY (`assignatura`) REFERENCES `assignatura` (`assignatura`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `exercicisassignats`
--
ALTER TABLE `exercicisassignats`
  ADD CONSTRAINT `fk_ExercicisAssignats_alumne1` FOREIGN KEY (`alumne_email`) REFERENCES `alumne` (`email`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_ExercicisAssignats_estatExercici1` FOREIGN KEY (`estatExercici`) REFERENCES `estatexercici` (`estatExercici`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_ExercicisAssignats_exercici1` FOREIGN KEY (`exercici`) REFERENCES `exercici` (`exercici`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_ExercicisAssignats_mestre1` FOREIGN KEY (`mestre_email`) REFERENCES `mestre` (`email`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `grupexercicisassig`
--
ALTER TABLE `grupexercicisassig`
  ADD CONSTRAINT `fk_grupExercicisAssig_exercici1` FOREIGN KEY (`exercici`) REFERENCES `exercici` (`exercici`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_grupExercicisAssig_grupExercicis1` FOREIGN KEY (`grupExercicis`) REFERENCES `grupexercicis` (`grupExercicis`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `mestre`
--
ALTER TABLE `mestre`
  ADD CONSTRAINT `fk_mestre_Escola1` FOREIGN KEY (`escola`) REFERENCES `escola` (`escola`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_mestre_rol1` FOREIGN KEY (`rol`) REFERENCES `rol` (`rol`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `mestre_te_assignatura`
--
ALTER TABLE `mestre_te_assignatura`
  ADD CONSTRAINT `fk_mestre_has_assignatura_assignatura2` FOREIGN KEY (`assignatura`) REFERENCES `assignatura` (`assignatura`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_mestre_has_assignatura_mestre2` FOREIGN KEY (`mestre_email`) REFERENCES `mestre` (`email`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `peticioregistreescola`
--
ALTER TABLE `peticioregistreescola`
  ADD CONSTRAINT `fk_peticioRegistreEscola_estatsSollicitud1` FOREIGN KEY (`estatSollicitud`) REFERENCES `estatsollicitud` (`estatSollicitud`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `programes_grupprogrames`
--
ALTER TABLE `programes_grupprogrames`
  ADD CONSTRAINT `fk_programes_grupProgrames_grupProgrames1` FOREIGN KEY (`grupProgrames`) REFERENCES `grupprogrames` (`grupProgrames`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_programes_grupProgrames_programa1` FOREIGN KEY (`programa`) REFERENCES `programa` (`programa`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `rol_grupprogrames`
--
ALTER TABLE `rol_grupprogrames`
  ADD CONSTRAINT `fk_rol_grupProgrames_grupProgrames1` FOREIGN KEY (`grupProgrames`) REFERENCES `grupprogrames` (`grupProgrames`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_rol_grupProgrames_rol1` FOREIGN KEY (`rol`) REFERENCES `rol` (`rol`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
