
	function ajaxMostrarGrafics(codiAlumne,diaIni,diaFi){
		ajaxMostrarGraficRodo(codiAlumne,diaIni,diaFi);
		ajaxMostrarGraficLinies(codiAlumne,diaIni,diaFi);
	}
	
	function ajaxMostrarGraficRodo(codiAlumne,diaIni,diaFi){
		$.ajax({
			type: "POST",
			url:"frmEstadistica_controlador.php",
			data:  {"idAlumne":codiAlumne,"idGrafic":"rodo","diaIni":diaIni,"diaFi":diaFi},  
			async: true,
			success: tractarDades,
			error: function (obj, error, objError){
				alert(error);
			}
		});	
	}
		
	function tractarDades(dades){	 
		new PieChart("CanvasGrafic", eval(dades));
	}

	function ajaxMostrarGraficLinies(codiAlumne,diaIni,diaFi){
		$.ajax({
			type: "POST",
			url:"frmEstadistica_controlador.php",
			data:  {"idAlumne":codiAlumne,"idGrafic":"linies","diaIni":diaIni,"diaFi":diaFi},  
			async: true,
			success: tractarDadesGLinies,
			error: function (obj, error, objError){
				alert(error);
			}
		});	 
	}

	function tractarDadesGLinies(dades){

		var myLineChart = new LineChart({ 	canvasId: "CanvasGraficLinies",
							minX: 0,
							minY: 0,
							maxX: 12,
							maxY: 10,
							unitsPerTickX: 1,
							unitsPerTickY: 10
						});
		
		var dades_json = JSON.parse(dades);
		

		if (  0 < dades_json[0].length  ) myLineChart.drawLine(dades_json[0], "red", 3);
		if (  0 < dades_json[1].length  ) myLineChart.drawLine(dades_json[1], "green", 3);
		if (  0 < dades_json[2].length  ) myLineChart.drawLine(dades_json[2], "yellow", 3);

	}
