var CTarjetes = function (contextE,exercici,jo) {
	var loadedImages = 0;
	var numImages = 0;
	var ampleImatge =270;
	var altImatge =160;
	var images = {};
	
	carregarImatges();	

	function carregarImatges(){
		var res = exercici.parametres.split(";");
		var respostes = res[0].split(",");

		btnsResposta = new Array();
		for (var i in respostes){
			btnsResposta[i] = respostes[i];		
		}
	
		strMultiSelect =res[1];
		
		for (var i in btnsResposta){
			numImages++;
		}
		
		for (var i in btnsResposta){
			images[i] = new CImatge(0,0);
			images[i].imatge.onload = function(){
				if (++loadedImages>=numImages){
					posicionarImatges(contextE.canvas);
					jo.dibuixar();
					dib(contextE);
				}
			};
			images[i].imatge.src =  "imatges/tTarja/" + btnsResposta[i] + ".png";
			images[i].nom = btnsResposta[i];
		}
	}


	function posicionarImatges(canvas){		
		
		var separacioX = 10;
		var separacioY = 10;
		var inici = 10;
		
		var w = ((canvas.width-48)/3) -separacioX*3 +inici;  //- 48 boto seguent
		
		if ( w < ampleImatge ){
			dif = (1-(ampleImatge - w)/ampleImatge);
			ampleImatge = ampleImatge*dif;
			altImatge =altImatge*dif;
		}
		
		var marge_pregunta = 40;
		var xPos=inici,yPos=inici+marge_pregunta;
	    
		for (var src in images){
			images[src].rectX = xPos;
			images[src].rectY = yPos;            		
			xPos = xPos + ampleImatge + separacioX;
			if (canvas.width<xPos + ampleImatge + separacioX){
				xPos = inici;
				yPos = yPos + altImatge + separacioY;
			}    		
		}
	}
	

	function dib(e){  

		CText.escriureText(e.context,exercici.pregunta,contextE.canvas.width);   

			for (var src in images){
	            e.beginRegion();

	            if (images[src].seleccionat){
	            	e.context.beginPath();
	            	e.context.rect(images[src].rectX -5,images[src].rectY-5,ampleImatge + 10,altImatge + 10);
	            	e.context.fillStyle ="#8ED6FF";
	            	e.context.fill();
	            	e.context.lineWidth=5;
	            	e.context.strokeStyle="black";
	            	e.context.stroke();
	            	e.context.closePath();
	            	e.context.drawImage(images[src].imatge, images[src].rectX, images[src].rectY, ampleImatge, altImatge);		            	
	            } else {
	            	e.context.drawImage(images[src].imatge, images[src].rectX, images[src].rectY, ampleImatge, altImatge);	            	
	            }
	            e.context.beginPath();
	            e.context.rect(images[src].rectX, images[src].rectY, ampleImatge, altImatge);
	            e.context.closePath();
	        	
	            e.addRegionEventListener("mousedown", function(){
	                images[src].seleccionat = !images[src].seleccionat;
	            });

	            e.addRegionEventListener("touchstart", function(){
	                images[src].seleccionat = !images[src].seleccionat;
	            });
	            
	            e.closeRegion();
			}
    }

    this.dibuixar = function (){
    	if (loadedImages==numImages) dib(contextE);
    }
    
    this.obtNota = function (){
    	var sol = exercici.solucio.split(","); 		
    	var valCadaResposta = 10/numImages;
    	var total = 0;
    	for (var i in images){
		if (( -1 != sol.indexOf(images[i].nom))&&(images[i].seleccionat)){
			total = total + valCadaResposta;
		} else {
			if (( -1 == sol.indexOf(images[i].nom))&&(!images[i].seleccionat)){
				total = total + valCadaResposta;
			}
		}
    	}
     	return total;
    }
};



