var CPreguntesTest = function (contextE,exercici,jo) {
	var multiSeleccio = false;
	var posicionades =false;
	var mouseDown;
	var images = new Array();
	var loadedImages = 0;
	var numImages = 0;
	
	carregarImatges();
	
	this.eliminarObj = function(){
		/*
		for (i in images){
			images[i].image = null;
			images[i] = null;
		}
		numImages=0;
		*/
	}
	
	this.redimensionar = function (){
		posicionarImatges(images,contextE.canvas);
	}

	this.setMultiSeleccio = function setMulti(multi){
		multiSeleccio = multi;
	}

	this.getMultiSeleccio = function getMulti(){
		return multiSeleccio;
	}

	function carregarImatges() {
	
		var res = exercici.parametres.split(";");
		var respostes = res[0].split(",");

		btnsResposta = new Array();
		for (var i=0;i<respostes.length;i++) {
			btnsResposta[i] = respostes[i];	
		}
		strMultiSelect =res[1];
	
		multiSeleccio = (strMultiSelect == 1);	
	
		for (var src in btnsResposta){
			numImages++;
		}

		for (var src in btnsResposta){
			images[src] = new CImatge(0,0);
			images[src].imatge.onload = function(){
		    if (++loadedImages>=numImages){
		    	posicionarImatges(images,contextE.canvas);
			jo.dibuixar();
			dib(contextE);
		    }
		};
			images[src].imatge.src =  "imatges/tTest/" + btnsResposta[src] + ".png";
			images[src].nom = btnsResposta[src];		
		}

}
	function posicionarImatges(images,canvas){
	    var separacioX = 20;
	    var separacioY = 30;
	    
	    var xPos= (canvas.width/2) - (numImages*(images[0].imatge.width))/2 - ((numImages-1)*(separacioX))/2;
	    var inici = xPos;
	    var yPos= (canvas.height-images[0].imatge.height)/2 - separacioY;
	    
	    
		for (var src in images){    		
			images[src].rectX = xPos;
			images[src].rectY = yPos;    		
			xPos = xPos + images[src].imatge.width + separacioX;
			if (canvas.width<xPos + images[src].imatge.width + separacioX){
				xPos = inici;
				yPos = yPos + images[src].imatge.height + separacioY;
			} 
		}    
	    	posicionades =true;
	}
	

	function dib(e){

        	CText.escriureText(e.context,exercici.pregunta,contextE.canvas.width);
		for (var src in images){
			e.beginRegion();
         
			if (images[src].seleccionat){
				e.context.beginPath();
				e.context.rect(images[src].rectX -5,images[src].rectY-5,images[src].imatge.width + 10,images[src].imatge.height + 10);
				e.context.fillStyle ="#8ED6FF";
				e.context.fill();
				e.context.lineWidth=5;
				e.context.strokeStyle="black";
		            	e.context.stroke();
		            	e.context.closePath();
		            	e.context.drawImage(images[src].imatge, images[src].rectX, images[src].rectY, images[src].imatge.width, images[src].imatge.height);		            	
		        } else {
				e.context.drawImage(images[src].imatge, images[src].rectX, images[src].rectY, images[src].imatge.width, images[src].imatge.height);	            	
			}
			
			e.context.beginPath();
			e.context.rect(images[src].rectX, images[src].rectY, images[src].imatge.width, images[src].imatge.height);
			e.context.closePath();

			def_events("mousedown",src,e);
			def_events("touchstart",src,e);
         
			e.closeRegion();
		}
	};
	
    this.dibuixar = function (){
    	if (loadedImages==numImages) {
		dib(contextE);
    	}
    }
    
    this.obtNota = function (){
    	var nota = 0;

    	if (multiSeleccio){
    		var sol = exercici.solucio.split(","); 		
    		var valCadaResposta = 10/numImages;
    		for (var i in images){
    			if (images[i].seleccionat){    				
    				if ( -1 != sol.indexOf(images[i].nom)){    					
    					nota = nota + valCadaResposta;    					
    				}
    			} else {
    				if ( -1 == sol.indexOf(images[i].nom)){
    					nota = nota + valCadaResposta;
    				}
    			}    			
    		}   		
    	} else {
    		var resposta = "";
    		var i = 0;
    		var trobat = false;  
    		
        	while ( (!trobat) && (i < images.length)){
        		if (images[i].seleccionat){
        			resposta = images[i].nom;
        			trobat = true;                		
        		}        		
        		i++;
        	}
        	if (resposta == exercici.solucio){
        		nota = 10;
        	} else {
        		nota = 0;
        	}    		
    	}


    	return nota;
    }

    function def_events(tipusEvent,src,ev){
        ev.addRegionEventListener(tipusEvent,function(){
        	
        	if (multiSeleccio) {
        		images[src].seleccionat = !images[src].seleccionat;
        	} else {
        		images[src].seleccionat = !images[src].seleccionat;
        		for (var i=0;i<numImages;i++){	            			
        			if (src!=i)	images[i].seleccionat = false;	
        		}
        	}	            	
        });
    }

};
